Hardware
List Computer Parts
GET /part{?part_type,q}
List of Computer Parts
Response 200: List of Computer Parts
| Field | Type | Description |
|---|---|---|
billing_id |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string | |
part_type |
object | |
part_type.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
part_type.name |
string |
Create Computer Part
POST /part
Add new Computer Part
Request body
| Field | Type | Required | Description |
|---|---|---|---|
billing_id |
string | ||
name |
string | ||
part_type |
string |
Response 200: Part Information
| Field | Type | Description |
|---|---|---|
billing_id |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string | |
part_type |
object | |
part_type.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
part_type.name |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
billing_id |
string | ||
name |
string | ||
part_type |
string |
Response 422: Unprocessable Entity
Delete Computer Part
DELETE /part/{part_id}
Delete a VirtlixCP Computer Part
Response 200: Part deleted successfully
Response 404: Item not Found
View Computer Part
GET /part/{part_id}
A VirtlixCP Computer Part
Response 200: A VirtlixCP Computer Part
| Field | Type | Description |
|---|---|---|
billing_id |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string | |
part_type |
object | |
part_type.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
part_type.name |
string |
Edit Computer Part
PATCH /part/{part_id}
Request body
| Field | Type | Required | Description |
|---|---|---|---|
billing_id |
string | yes | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
name |
string | yes | |
part_type |
object | yes | |
part_type.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
part_type.name |
string |
Response 200: A VirtlixCP Computer Part
| Field | Type | Description |
|---|---|---|
billing_id |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string | |
part_type |
object | |
part_type.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
part_type.name |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
billing_id |
string | yes | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
name |
string | yes | |
part_type |
object | yes | |
part_type.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
part_type.name |
string |
Response 422: Unprocessable Entity